org.infinispan.schematic

## Interface SchematicEntry

- All Superinterfaces:
    Cloneable
  All Known Implementing Classes:
    FederatedSchematicEntry, SchematicEntryLiteral

      public interface SchematicEntry
      extends Cloneable

  A value used to store user's content (often a JSON document or a binary value) and metadata as an entry in a SchematicDb. These values also offer fine-grained locking and serialization of the value.
  Since:
    5.1

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `SchematicEntry.FieldName`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Document` | `asDocument()` Get the representation of this entry as a document, which will include the `metadata` and `content` as nested documents.
    `Document` | `getContent()` Return this value's content.
    `Document` | `getMetadata()` Get the metadata associated with this value.
    `void` | `setContent(Document content)` Set the content for this value to be the supplied Document and set the content type to be " `application/json`".

- - ### Method Detail

    - #### getMetadata

          Document getMetadata()

      Get the metadata associated with this value.
      Returns:
        the metadata document; never null

    - #### getContent

          Document getContent()

      Return this value's content. The result will either be a `Document`.
      Returns:
        the content, or null if there is no content

    - #### setContent

          void setContent(Document content)

      Set the content for this value to be the supplied Document and set the content type to be " `application/json`".
      Parameters:
        `content` - the Document representing the JSON content; may not be null

    - #### asDocument

          Document asDocument()

      Get the representation of this entry as a document, which will include the `metadata` and `content` as nested documents.
      Returns:
        the entry's representation as a document

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.